classification
Title: Wrong documentation of show_code function from dis module
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: docs@python, ezio.melotti, python-dev, vajrasky
Priority: normal Keywords: patch

Created on 2013-08-21 02:56 by vajrasky, last changed 2013-08-23 19:43 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
fix_doc_show_code.patch vajrasky, 2013-08-21 02:56 review
Messages (3)
msg195742 - (view) Author: Vajrasky Kok (vajrasky) * Date: 2013-08-21 02:56
$ ./python
Python 3.4.0a1+ (default:afb1b4797419, Aug 21 2013, 09:54:46) 
[GCC 4.7.2] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import dis
>>> import sys
>>> def spam(x):
...   return x * 2
... 
>>> dis.show_code(spam, file=sys.stderr)
Name:              spam
Filename:          <stdin>
Argument count:    1
Kw-only arguments: 0
Number of locals:  1
Stack size:        2
Flags:             OPTIMIZED, NEWLOCALS, NOFREE
Constants:
   0: None
   1: 2
Variable names:
   0: x
>>> output = open('/tmp/output.txt', 'w')
>>> dis.show_code(spam, file=output)
>>> output.close()
>>> dis.show_code.__doc__
'Print details of methods, functions, or code to stdout.'

Attached the patch to fix the documentation.
msg196015 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-08-23 19:41
New changeset 64678369c4d0 by Ezio Melotti in branch 'default':
#18796: improve documentation of the file argument of dis.show_code.  Initial patch by Vajrasky Kok.
http://hg.python.org/cpython/rev/64678369c4d0
msg196016 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-08-23 19:43
Fixed, thanks for the report and the patch!
History
Date User Action Args
2013-08-23 19:43:18ezio.melottisetstatus: open -> closed

type: enhancement
assignee: docs@python -> ezio.melotti

nosy: + ezio.melotti
messages: + msg196016
resolution: fixed
stage: resolved
2013-08-23 19:41:58python-devsetnosy: + python-dev
messages: + msg196015
2013-08-21 02:56:59vajraskycreate